Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031072
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2015-10-06 17:482015-11-23 21:16
ReportermaiteView Statuspublic 
Assigned Tovmromanos 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisioncda754dfc560
ProjectionnoneETAnoneTarget Version3.0PR16Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031072: It is necessary to define get() and set() methods for "isCashVAT" and "prepaymentamt" variables in DocInvoice.java

DescriptionIt is necessary to define get() and set() methods for "isCashVAT" and "prepaymentamt" variables in DocInvoice.java
Steps To ReproduceWhen developing an accounting template for invoice could be necessary to use this variables, which are not currently accessible

NOTE: review if other variables have the same problem
Proposed SolutionFollowing code needs to be add in DocInvoice.java:

  public boolean isCashVAT() {
    return isCashVAT;
  }

  public void setCashVAT(boolean isCashVAT) {
    this.isCashVAT = isCashVAT;
  }

  public String getPrepaymentamt() {
    return prepaymentamt;
  }

  public void setPrepaymentamt(String prepaymentamt) {
    this.prepaymentamt = prepaymentamt;
  }
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0080953)
hgbot (developer)
2015-10-13 11:04

Repository: erp/devel/pi
Changeset: cda754dfc560c741853f639bb9839594f5567d95
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Tue Oct 13 11:02:08 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/cda754dfc560c741853f639bb9839594f5567d95 [^]

Fixed bug 31072: added missing setters and getters for DocInvoice class

---
M src/org/openbravo/erpCommon/ad_forms/DocInvoice.java
---
(0082124)
hudsonbot (developer)
2015-11-23 21:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-10-06 17:48 maite New Issue
2015-10-06 17:48 maite Assigned To => Triage Finance
2015-10-06 17:48 maite Modules => Core
2015-10-06 17:48 maite Triggers an Emergency Pack => No
2015-10-06 17:49 maite Issue Monitored: networkb
2015-10-13 10:55 vmromanos Status new => scheduled
2015-10-13 10:55 vmromanos Assigned To Triage Finance => vmromanos
2015-10-13 11:04 hgbot Checkin
2015-10-13 11:04 hgbot Note Added: 0080953
2015-10-13 11:04 hgbot Status scheduled => resolved
2015-10-13 11:04 hgbot Resolution open => fixed
2015-10-13 11:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cda754dfc560c741853f639bb9839594f5567d95 [^]
2015-10-13 12:59 vmromanos Review Assigned To => vmromanos
2015-10-13 12:59 vmromanos Status resolved => closed
2015-11-23 21:16 hudsonbot Checkin
2015-11-23 21:16 hudsonbot Note Added: 0082124


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker